> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agileloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Location Agent



## OpenAPI

````yaml GET /api/chat/location-agent
openapi: 3.0.0
info:
  title: Options title
  description: Description from options
  version: 6.0.7-beta
  termsOfService: http://tos.myweb.com
servers:
  - url: https://platform.agileloop.ai
security: []
tags:
  - name: Chat
  - name: Lab1
  - name: Inference
paths:
  /api/chat/location-agent:
    get:
      tags:
        - Chat
      summary: Location Agent
      parameters:
        - name: query
          in: query
          schema:
            type: string
          example: Where is Faisal mosque in islamabad ?
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Wed, 28 Feb 2024 11:22:55 GMT
            Server:
              schema:
                type: string
                example: Apache/2.4.47 (Win64) OpenSSL/1.1.1l mod_fcgid/2.3.10-dev
            X-Powered-By:
              schema:
                type: string
                example: PHP/8.1.5
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '5'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '4'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Vary:
              schema:
                type: string
                example: Accept-Encoding,Authorization
            Keep-Alive:
              schema:
                type: string
                example: timeout=5, max=100
            Connection:
              schema:
                type: string
                example: Keep-Alive
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                success: true
                message: ''
                data:
                  result: Faisal Mosque in Islamabad
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````